Skip to main content
Back to API List Extracts the Knowledge Graph from an imported file or URL.
PropertyValue
MethodPOST
Endpointhttps://{{host}}/api/public/bot/{{botId}}/qna/import?language=en
Content Typeapplication/json
Authorizationauth: {{YOUR_JWT_ACCESS_TOKEN}} — See How to generate the JWT Token.
API ScopeApp Builder: Manage Knowledge Graph; Admin Console: Manage Knowledge Graph

Path Parameters

ParameterRequiredDescription
hostRequiredThe environment URL. For example, https://platform.kore.ai
BotIdRequiredBot ID or Stream ID, accessible under General Settings on the App Builder.

Query Parameters

ParameterRequiredDescription
languageRequiredThe bot language code. For example, en for English and de for German.

Sample Request (Extraction using URL)

curl --location 'https://platform.kore.ai/api/public/bot/st-2be3c498-d718-5160-853c-0166b82bc41c/qna/import?language=en' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'content-type: application/json' \
--data '{
    "fileUrl": "https://www.ibank.com/nri-banking/money_transfer/faq/loyalty-program.page",
    "name": "Test"
}'

Sample Request (Extraction using File)

curl --location 'https://platform.kore.ai/api/public/bot/st-2be3c498-d718-5160-853c-0166b82bc41c/qna/import?language=en' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'content-type: application/json' \
--data '{
    "fileId": "64c0facd1913a83c147847ca",
    "name": "Test2"
}'

Body Parameters

ParameterRequiredDescription
fileUrlRequiredThe URL pointing to the location of the FAQs to extract.
fileIdRequiredThe file ID pointing to the FAQ file’s location.
nameRequiredThe name to assign to the FAQ.

Sample Response

{
    "_id": "<extractionId>",
    "status": "success"
}